## editline 1.12

=== Makefile ===
##  $Revision: 1.10 $
##
##  Unix makefile for editline library.
##

##  Set your options:
##	-DANSI_ARROWS		ANSI arrows keys work like emacs.
##	-DHAVE_STDLIB		Have <stdlib.h>.
##	-DHAVE_TCGETATTR	Have tcgetattr(), tcsetattr().
##	-DHAVE_TERMIO		Have "struct termio" and <termio.h>
##	(If neither of above two, we use <sgttyb.h> and BSD ioctl's)
##	-DHIDE			Make static functions static (non debug).
##	-DHIST_SIZE=n		History size.
##	-DNEED_STRDUP		Don't have strdup().
##	-DUNIQUE_HISTORY	Don't save command if same as last one.
##	-DUSE_DIRENT		Use <dirent.h>, not <sys/dir.h>?
##	-DUSE_TERMCAP		Use the termcap library for terminal size
##				see LDFLAGS, below, if you set this.
##	-DNEED_PERROR		Don't have perror() (used in testit)
##	-DDO_SIGTSTP		Send SIGTSTP on "suspend" key
DEFS	= -DANSI_ARROWS -DHAVE_STDLIB -DHAVE_TCGETATTR -DHIDE -DUSE_DIRENT -DSYS_UNIX -DNEED_STRDUP

##  Set your C compiler:
WARN	= -Wall -Wshadow -Wpointer-arith -Wcast-qual -Wwrite-strings \
	-Wunused -Wcomment -Wswitch
CC	= gcc -ansi $(WARN)
#CFLAGS	= $(DEFS) -O -g
#CC	= gcc
CFLAGS	= $(DEFS) -g

##  If you have -DUSE_TERMCAP, set this as appropriate:
#LDFLAGS = -ltermlib
#LDFLAGS = -ltermcap

##  Set ranlib as appropriate:
RANLIB	= ranlib
#RANLIB	= echo

##  End of configuration.

SOURCES	= editline.c complete.c sysunix.c
OBJECTS	= editline.o complete.o sysunix.o

all:		libedit.a

testit:		testit.c libedit.a
	$(CC) $(CFLAGS) -o testit testit.c libedit.a $(LDFLAGS)

shar:		FORCE
	shar `sed -e 1,2d -e 's/[ 	].*//' <MANIFEST` >shar

FORCE:

clean:
	rm -f *.[oa] testit foo core tags lint lint.all a.out Part01

lint:		testit
	lint -a -b -u -x $(DEFS) $(SOURCES) testit.c >lint.all
	sed -e '/warning: function prototype not in scope/d' \
		-e '/warning: old style argument declaration/'d \
		-e '/mix of old and new style function declaration/'d \
		<lint.all >lint

libedit.a:	$(OBJECTS)
	@rm -f $@
	ar r $@ $(OBJECTS)
	$(RANLIB) $@

$(OBJECTS):	editline.h

=== debian/changelog ===
editline (1.12-6.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Build-depend on libtool-bin. Closes: #761745.

 -- Matthias Klose <doko@debian.org>  Thu, 09 Oct 2014 10:23:05 +0000

editline (1.12-6) unstable; urgency=low

  * Switch package format to 3.0 (quilt).
  * 200_fix-truncation-at-64-char.diff: fix invalid 64-char truncation in
    batch mode, courtesy of Mark O'Donohue. Thanks to Damyan Ivanov for
    forwarding the patch from Ubuntu (Closes: #508640).

 -- Sam Hocevar <sho@debian.org>  Sun, 03 Jan 2010 15:45:34 +0100

editline (1.12-5) unstable; urgency=low

  * New maintainer (Closes: #229962).
  * debian/changelog:
    + Removed emacs helper variables.
  * debian/control:
    + Set policy to 3.6.1.0.
    + Set debhelper build dependency to (>= 4.0).
    + Use the default dh_shlibs information, since the API is rock stable
      (Closes: #131139).
    + Removed the libc6-dev dependency in the -dev package.
    + Rephrased the short and long descriptions.
  * debian/copyright:
    + Replaced "Author(s)" with "Author".
  * debian/rules:
    + Removed obsolete call to dh_suidregister.
    + Use debian/compat instead of DH_COMPAT.
  * include_editline.h:
    + Added a minimalist /usr/include/editline.h (Closes: #129544).
  * Makefile:
    + Call libtool with the proper --mode flags.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Sat, 31 Jan 2004 22:32:35 +0100

editline (1.12-4) unstable; urgency=low

  * Add a Build-Depends for debhelper and libtool.  Thought those
    were baseline.  closes: #117780

 -- Jim Studt <jim@federated.com>  Thu, 15 Nov 2001 19:00:00 -0600

editline (1.12-3) unstable; urgency=low

  * Make man pages not be in the shared library package.

 -- Jim Studt <jim@federated.com>  Sat, 13 Jan 2001 00:03:53 -0600

editline (1.12-2) unstable; urgency=low

  * Patch to not declare read() and write(), it fails on alphas.

 -- Jim Studt <jim@federated.com>  Tue, 12 Sep 2000 16:39:34 -0500

editline (1.12-1) unstable; urgency=low

  * Initial Release.

 -- Jim Studt <jim@federated.com>  Fri,  5 May 2000 13:25:51 -0500

=== debian/control ===
Source: editline
Section: devel
Priority: optional
Build-Depends: debhelper (>= 5.0), libtool, libtool-bin
Maintainer: Sam Hocevar <sho@debian.org>
Standards-Version: 3.8.3

Package: libeditline-dev
Architecture: any
Section: libdevel
Depends: libeditline0 (= ${binary:Version}), ${misc:Depends}
Description: development files for libeditline
 This is a line-editing library. It can be linked into almost any program
 to provide command-line editing and recall. It is call-compatible with a
 subset of the FSF readline library, but it is a fraction of the size (and
 offers fewer features).
 .
 This package contains the developer files: static libraries, headers,
 manpages.

Package: libeditline0
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: line editing library similar to readline
 This is a line-editing library. It can be linked into almost any program
 to provide command-line editing and recall. It is call-compatible with a
 subset of the FSF readline library, but it is a fraction of the size (and
 offers fewer features).
 .
 This package contains the runtime library only.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# shared library versions, option 1
version=0.0.0
major=0

build: build-stamp
build-stamp:
	dh_testdir
	$(MAKE)
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	[ ! -f Makefile ] || $(MAKE) clean
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	$(MAKE) install DESTDIR=`pwd`/debian/libeditline-dev
	cp include_editline.h \
	   `pwd`/debian/libeditline-dev/usr/include/editline.h

binary-indep: build install

binary-arch: build install
	dh_testdir
	dh_testroot
	# build libeditline${major} package by moving files from editline-dev
	dh_movefiles --sourcedir=debian/libeditline-dev \
	             -plibeditline$(major) \
	             usr/lib/libeditline.so.$(major) \
	             usr/lib/libeditline.so.$(version)
	dh_installdocs
	dh_installexamples
	dh_installmenu
	dh_installmanpages
	rm -rf debian/libeditline0/usr/share/man/
	dh_installcron
	dh_installinfo
	dh_installchangelogs 
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
